Package org.eclipse.graphiti.ui.internal.editor

## Class GFDragConnectionTool

- java.lang.Object
- - org.eclipse.gef.util.FlagSupport
  - - org.eclipse.gef.tools.AbstractTool
    - - org.eclipse.gef.tools.TargetingTool
      - - org.eclipse.gef.tools.AbstractConnectionCreationTool
        - - org.eclipse.gef.tools.ConnectionDragCreationTool
          - - org.eclipse.graphiti.ui.internal.editor.GFDragConnectionTool

All Implemented Interfaces:
  `org.eclipse.gef.DragTracker`, `org.eclipse.gef.RequestConstants`, `org.eclipse.gef.Tool`

    public class GFDragConnectionTool
    extends org.eclipse.gef.tools.ConnectionDragCreationTool

The Class GFDragConnectionTool.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.gef.tools.AbstractTool

`org.eclipse.gef.tools.AbstractTool.Input`

### Field Summary

### Fields inherited from class org.eclipse.gef.tools.AbstractConnectionCreationTool

`MAX_FLAG, MAX_STATE, STATE_CONNECTION_STARTED`

### Fields inherited from class org.eclipse.gef.tools.AbstractTool

`MOUSE_BUTTON_ANY, MOUSE_BUTTON1, MOUSE_BUTTON2, MOUSE_BUTTON3, PROPERTY_UNLOAD_WHEN_FINISHED, STATE_ACCESSIBLE_DRAG, STATE_ACCESSIBLE_DRAG_IN_PROGRESS, STATE_DRAG, STATE_DRAG_IN_PROGRESS, STATE_INITIAL, STATE_INVALID, STATE_TERMINAL`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
`GFDragConnectionTool​(DiagramBehavior diagramBehavior, ContextButtonEntry contextButtonEntry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `continueConnection​(org.eclipse.gef.EditPart targetEditPart, org.eclipse.gef.EditPart targetTargetEditPart)` Continue connection.
`protected org.eclipse.gef.Request` `createTargetRequest()`
`protected org.eclipse.draw2d.geometry.Point` `getLocation()`
`protected boolean` `handleButtonUp​(int button)`
`protected boolean` `handleCreateConnection()` changed order: feedback gets deleted after command is executed (popup!).
`protected void` `handleFinished()`
`protected boolean` `handleMove()`

### Methods inherited from class org.eclipse.gef.tools.ConnectionDragCreationTool

`handleButtonDown, handleDragStarted`

### Methods inherited from class org.eclipse.gef.tools.AbstractConnectionCreationTool

`calculateCursor, deactivate, eraseSourceFeedback, getCommandName, getDebugName, getDebugNameForState, getFactory, getSourceRequest, handleCommandStackChanged, handleDrag, handleDragInProgress, handleFocusLost, handleHover, handleInvalidInput, handleSourceDeactivated, isShowingSourceFeedback, setConnectionSource, setFactory, showSourceFeedback, updateTargetRequest`

### Methods inherited from class org.eclipse.gef.tools.TargetingTool

`doAutoexpose, eraseTargetFeedback, getAutoexposeHelper, getCommand, getExclusionSet, getTargetEditPart, getTargetingConditional, getTargetRequest, handleAutoexpose, handleEnteredEditPart, handleExitingEditPart, handleHoverStop, handleLeavingEditPart, handleViewerExited, isShowingTargetFeedback, isTargetLocked, lockTargetEditPart, resetFlags, resetHover, setAutoexposeHelper, setTargetEditPart, setTargetRequest, showTargetFeedback, unlockTargetEditPart, updateAutoexposeHelper, updateTargetUnderMouse`

### Methods inherited from class org.eclipse.gef.tools.AbstractTool

`acceptArrowKey, activate, addFeedback, applyProperty, commitDrag, createOperationSet, debug, executeCommand, executeCurrentCommand, focusGained, focusLost, getCurrentCommand, getCurrentInput, getCurrentViewer, getDefaultCursor, getDisabledCursor, getDomain, getDragMoveDelta, getOperationSet, getStartLocation, getState, handleDoubleClick, handleFocusGained, handleKeyDown, handleKeyTraversed, handleKeyUp, handleNativeDragFinished, handleNativeDragStarted, handleViewerEntered, isActive, isHoverActive, isInState, isViewerImportant, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, movedPastThreshold, nativeDragFinished, nativeDragStarted, performViewerMouseWheel, placeMouseInViewer, reactivate, refreshCursor, releaseToolCapture, removeFeedback, setCurrentCommand, setCursor, setDefaultCursor, setDisabledCursor, setEditDomain, setHoverActive, setProperties, setStartLocation, setState, setToolCapture, setUnloadWhenFinished, setViewer, stateTransition, unloadWhenFinished, viewerEntered, viewerExited`

### Methods inherited from class org.eclipse.gef.util.FlagSupport

`getFlag, setFlag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.DragTracker

`commitDrag`

### Methods inherited from interface org.eclipse.gef.Tool

`activate, deactivate, focusGained, focusLost, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, nativeDragFinished, nativeDragStarted, setEditDomain, setProperties, setViewer, viewerEntered, viewerExited`

### Constructor Detail

#### GFDragConnectionTool

    public GFDragConnectionTool​(DiagramBehavior diagramBehavior,
                                ContextButtonEntry contextButtonEntry)

### Method Detail

#### handleCreateConnection

    protected boolean handleCreateConnection()

changed order: feedback gets deleted after command is executed (popup!).

Overrides:
  `handleCreateConnection` in class `org.eclipse.gef.tools.AbstractConnectionCreationTool`
Returns:
  true, if handle create connection

#### handleButtonUp

    protected boolean handleButtonUp​(int button)

Overrides:
  `handleButtonUp` in class `org.eclipse.gef.tools.ConnectionDragCreationTool`

#### handleFinished

    protected void handleFinished()

Overrides:
  `handleFinished` in class `org.eclipse.gef.tools.ConnectionDragCreationTool`

#### createTargetRequest

    protected org.eclipse.gef.Request createTargetRequest()

Overrides:
  `createTargetRequest` in class `org.eclipse.gef.tools.AbstractConnectionCreationTool`

#### continueConnection

    public void continueConnection​(org.eclipse.gef.EditPart targetEditPart,
                                   org.eclipse.gef.EditPart targetTargetEditPart)

Continue connection.

Parameters:
  `targetEditPart` - the target edit part
  `diagramEditor` - the diagram editor
  `contextButtonEntry` - the context button entry
  `targetTargetEditPart` - the target target edit part

#### handleMove

    protected boolean handleMove()

Overrides:
  `handleMove` in class `org.eclipse.gef.tools.AbstractConnectionCreationTool`

#### getLocation

    protected org.eclipse.draw2d.geometry.Point getLocation()

Overrides:
  `getLocation` in class `org.eclipse.gef.tools.AbstractTool`